Name:		aumix
Summary:	A GTK+ / Ncurses audio mixer
Version:	2.9.1
Release:	%mkrel 3
License:	GPLv1
Group:		Sound
Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
URL: 		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gtk+2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
Requires:	initscripts

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%package text
Summary:	An Ncurses audio mixer
License:	GPLv1
Group:		Sound

%description text
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface .

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

mkdir build-text
pushd build-text
CONFIGURE_TOP=.. %configure2_5x --without-gtk
%make
popd
mkdir build-gui
pushd build-gui
CONFIGURE_TOP=.. %configure2_5x
%make
popd

%install
%make_install -C build-gui

install -m755 build-text/src/aumix %{buildroot}%{_bindir}/aumix-text

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Aumix
Comment=Basic volume controller
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Audio;Mixer;
EOF

%find_lang %name

%files -f %{name}.lang
%doc README TODO NEWS ChangeLog
%{_bindir}/%{name}
%{_bindir}/mute
%{_bindir}/x%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%files text
%{_bindir}/%{name}-text


%changelog
* Tue Jun 04 2019 tex - 2.9.1-3pclos2019
- rebuild against updates

* Sun May 05 2019 tex - 2.9.1-2pclos2019
- rebuild against updates

